#pragma once

#include "application/contracts/DisplayMetrics.h"

namespace ta::presentation::runtime
{
    void setup(ta::application::DisplayMetrics metrics) noexcept;
    [[nodiscard]] float width() noexcept;
    [[nodiscard]] float height() noexcept;
    [[nodiscard]] float scale_factor() noexcept;
}
